Bug 1231244 - perl-HTTP-Proxy-0.303-2.fc23 FTBFS: tests fail randomly
Summary: perl-HTTP-Proxy-0.303-2.fc23 FTBFS: tests fail randomly
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-HTTP-Proxy
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL: https://koji.fedoraproject.org/koji/b...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-12 13:32 UTC by Jitka Plesnikova
Modified: 2019-05-03 11:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 13:46:08 UTC


Attachments (Terms of Use)
Build log (15.17 KB, text/plain)
2015-06-12 13:32 UTC, Jitka Plesnikova
no flags Details


Links
System ID Priority Status Summary Last Updated
Github book HTTP-Proxy issues 7 None None None 2018-11-28 08:02:52 UTC

Description Jitka Plesnikova 2015-06-12 13:32:02 UTC
Created attachment 1038071 [details]
Build log

The build of perl-HTTP-Proxy failed during Perl 5.22 mass rebuild with following errors:


#   Failed test 'Read some data from the socket'
#   at t/23connect.t line 79.
#   Failed test 'CONNECTed to the TCP server and got the banner'
#   at t/23connect.t line 80.
#          got: undef
#     expected: 'President_of_Earth Barbarella Professor_Ping Stomoxys Dildano
# '
[Sat Jun  6 13:11:14 2015] (16454) CONNECT: Read undef from server (Bad file descriptor)
t/23connect.t ............. 
Failed 2/4 subtests

Comment 1 Tom "spot" Callaway 2015-06-15 17:37:06 UTC
This seems to be a timing bug, I got a successful rawhide build through (so it should unblock the other packages in the dependency chain), and I've left the logging turned on for the test case so that we can debug the issue when it happens again. There is an upstream bug on this issue here:

https://github.com/book/HTTP-Proxy/issues/7

Comment 2 Jan Kurik 2015-07-15 14:00:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Fedora End Of Life 2016-11-24 11:53:27 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 13:46:08 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Petr Pisar 2017-01-23 14:39:35 UTC
The timing bug still presents <https://apps.fedoraproject.org/koschei/build/2486270>. It would be great to fix it or remove the buggy test.

Comment 6 Jan Kurik 2018-05-31 09:02:09 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 7 Ben Cotton 2018-11-27 15:25:14 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Petr Pisar 2018-11-28 08:02:53 UTC
The issue has not yet been fixed in upstream and I still can reproduce it.

Comment 9 Ben Cotton 2019-05-02 20:14:12 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.